# Installs in dir /usr

Summary: Generating random passwords
Name: rndpass
Version: 2.1.3
Release: 2
Source0: %{name}-%{version}.tar.gz
Group: Amusements/Text
License: GPL v2
URL: ftp://ics.p.lodz.pl/pub/security/rndpass
Vendor:  Bartosz Lis <bartoszl@ics.p.lodz.pl>
BuildRoot: /var/tmp/%{name}-%{version}.root
Requires: pam
BuildRequires: pam-devel

%description
This program generates passwords using random numbers. Passwords are of
the form cvcvcvCvcv, where c stands for consonant (one of bcdfghjklmnprstwz)
and v stands for vawel (one of aeiouy). One of the letters is uppercase to
make cracking more difficult. This program does not change the password
directly, but it calls PAM routines.

%prep
%setup
./configure --prefix=%{_prefix} --sysconfdir=%{_sysconfdir}

%build
make

%install
make DESTDIR=$RPM_BUILD_ROOT install

%files
#binaries
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/*
